## org.biojava.bio.program.homologene
Class Taxon.TaxonStub

    java.lang.Object
      org.biojava.bio.program.homologene.Taxon.TaxonStub

All Implemented Interfaces:
  Taxon

Enclosing interface:
  Taxon

    public static class Taxon.TaxonStub

extends Object
implements Taxon

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.Taxon
`Taxon.TaxonStub`

Field Summary

Fields inherited from interface org.biojava.bio.program.homologene.Taxon
`A_THALIANA, B_TAURUS, C_ELEGANS, D_MELANOGASTER, D_RERIO, H_SAPIENS, H_VULGARE, L_ESCULENTUM, M_MUSCULUS, M_TRUNCULATA, O_SATIVA, R_NORVEGICUS, S_SCROFA, T_AESTIVUM, taxa, X_LAEVIS, Z_MAYS`

Method Summary
`String` `getDescription()` returns the name of the Taxon
`int` `getTaxonID()` returns the taxon ID
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDescription

    public String getDescription()

  Description copied from interface: `Taxon`
  returns the name of the Taxon

  Specified by:
    `getDescription` in interface `Taxon`

### getTaxonID

    public int getTaxonID()

  Description copied from interface: `Taxon`
  returns the taxon ID

  Specified by:
    `getTaxonID` in interface `Taxon`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`